## rust-wu-diff 0.1.2

=== Makefile ===
build:
	cargo +nightly build --features clippy

publish:
	cargo package
	cargo publish

=== debian/changelog ===
rust-wu-diff (0.1.2-1) unstable; urgency=medium

  * Package wu-diff 0.1.2 from crates.io using debcargo 2.6.1

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 16 Feb 2024 22:15:51 +0000

=== debian/control ===
Source: rust-wu-diff
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Jelmer Vernooĳ <jelmer@debian.org>
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/wu-diff]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/wu-diff
X-Cargo-Crate: wu-diff
Rules-Requires-Root: no

Package: librust-wu-diff-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends}
Provides:
 librust-wu-diff+default-dev (= ${binary:Version}),
 librust-wu-diff-0-dev (= ${binary:Version}),
 librust-wu-diff-0+default-dev (= ${binary:Version}),
 librust-wu-diff-0.1-dev (= ${binary:Version}),
 librust-wu-diff-0.1+default-dev (= ${binary:Version}),
 librust-wu-diff-0.1.2-dev (= ${binary:Version}),
 librust-wu-diff-0.1.2+default-dev (= ${binary:Version})
Description: Compute differences between two slices using wu(the O(NP)) algorithm - Rust source code
 Source code for Debianized Rust crate "wu-diff"

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test wu-diff 0.1.2 --all-targets --all-features
Features: test-name=rust-wu-diff:@
Depends: dh-cargo (>= 18), librust-base64-0.21+default-dev, librust-criterion-0.5+default-dev, librust-image-0.24+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test wu-diff 0.1.2 --all-targets
Features: test-name=librust-wu-diff-dev:default
Depends: dh-cargo (>= 18), librust-base64-0.21+default-dev, librust-criterion-0.5+default-dev, librust-image-0.24+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test wu-diff 0.1.2 --all-targets --no-default-features
Features: test-name=librust-wu-diff-dev:
Depends: dh-cargo (>= 18), librust-base64-0.21+default-dev, librust-criterion-0.5+default-dev, librust-image-0.24+default-dev, @
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/wu-diff-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/wu-diff .*/crates/wu-diff/@ANY_VERSION@/download
